<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: サンプルプログラム</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li class="current"><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="m17nExProg">サンプルプログラム </a></h1><p>ここでは以下のサンプルプログラムを説明する。これらのプログラムは m17n ライブラリの使い方を説明するものであり、実際の使用を意図したものではない。</p>
<ul>
<li>
<a class="el" href="m17nExProg.html#m17n-conv">m17n-conv</a> -- ファイルのコードを変換する </li>
<li>
<a class="el" href="m17nExProg.html#m17n-view">m17n-view</a> -- ファイルを見る </li>
<li>
<a class="el" href="m17nExProg.html#m17n-date">m17n-date</a> -- 日時を表示する </li>
<li>
<a class="el" href="m17nExProg.html#m17n-dump">m17n-dump</a> -- テキスト画像のダンプ </li>
<li>
<a class="el" href="m17nExProg.html#m17n-edit">m17n-edit</a> -- 多言語テキストの編集 </li>
<li>
<a class="el" href="m17nExProg.html#mimx-anthy">mimx-anthy</a> -- 入力メソッド &lt;ja, anthy&gt; 用外部モジュール. </li>
<li>
<a class="el" href="m17nExProg.html#mimx-ispell">mimx-ispell</a> -- 入力メソッド &lt;en, ispell&gt; 用外部モジュール </li>
</ul>
<h2><a class="anchor" id="m17n-conv">
m17n-conv -- ファイルのコードを変換する</a></h2>
<h3><a class="anchor" id="m17n-conv-synopsis">
SYNOPSIS</a></h3>
<p>m17n-conv [ OPTION ... ] [ INFILE [ OUTFILE ] ]</p>
<h3><a class="anchor" id="m17n-conv-description">
説明</a></h3>
<p>与えられたファイルのコードを別のものに変換する。</p>
<p>INFILE が省略された場合は、標準入力からとる。OUTFILE が省略された 場合は、標準出力へ書き出す。</p>
<p>以下のオプションが利用できる。</p>
<ul>
<li>
<p class="startli">-f FROMCODE</p>
<p>FROMCODE は INFILE のコード系である。(デフォルトは UTF-8)</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-t TOCODE</p>
<p>TOCODE は OUTFILE のコード系である。(デフォルトは UTF-8)</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-k</p>
<p>エラーで変換を停止しない。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-s</p>
<p>警告を表示しない。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-v</p>
<p>進行状況を表示する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-l</p>
<p>利用可能なコード系を列挙する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">--version</p>
<p>バージョン番号を表示する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-h, --help</p>
<p>このメッセージを表示する。</p>
<p class="endli"></p>
</li>
</ul>
<h2><a class="anchor" id="m17n-view">
m17n-view -- ファイルを見る</a></h2>
<h3><a class="anchor" id="m17n-view-synopsis">
SYNOPSIS</a></h3>
<p>m17n-view [ XT-OPTION ...] [ OPTION ... ] [ FILE ]</p>
<h3><a class="anchor" id="m17n-view-description">
DESCRIPTION</a></h3>
<p>FILE をウィンドウに表示する。</p>
<p>FILE が省略された場合は、標準入力からとる。</p>
<p>XT-OPTIONs は Xt の標準の引数である。 (e.g. -fn, -fg).</p>
<p>以下のオプションが利用できる。</p>
<ul>
<li>
<p class="startli">-e ENCODING</p>
<p>ENCODING は FILE のコード系である。(デフォルトは UTF-8)</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-s FONTSIZE</p>
<p>FONTSIZE はフォントの大きさをポイント単位で示したものである。省略 された場合は、X のリソースで定義されたデフォルトフォントの大きさと なる。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">--version</p>
<p>バージョン番号を表示する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-h, --help</p>
<p>このメッセージを表示する。</p>
<p class="endli"></p>
</li>
</ul>
<h2><a class="anchor" id="m17n-date">
m17n-date -- 日時を表示する</a></h2>
<h3><a class="anchor" id="m17n-date-synopsis">
シノプシス</a></h3>
<p>m17n-date [ OPTION ... ]</p>
<h3><a class="anchor" id="m17n-date-description">
説明</a></h3>
<p>システムの日時をさまざまなロケールでウィンドウに表示する。</p>
<p>以下のオプションが利用できる。</p>
<ul>
<li>
<p class="startli">--version</p>
<p>バージョン番号を表示する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-h, --help</p>
<p>このメッセージを表示する。</p>
<p class="endli"></p>
</li>
</ul>
<h2><a class="anchor" id="m17n-dump">
m17n-dump -- テキスト画像のダンプ</a></h2>
<h3><a class="anchor" id="m17n-dump-synopsis">
SYNOPSIS</a></h3>
<p>m17n-dump [ OPTION ... ] [ FILE ]</p>
<h3><a class="anchor" id="m17n-dump-description">
DESCRIPTION</a></h3>
<p>テキストを PNG 画像としてダンプする。</p>
<p>PNG 画像は現在のディレクトリに作られた "BASE.png" という名前の ファイルに書き込まれる。ここで BASE はFILE の basename である。 FILE が省略されれば、テキストは標準入力から読まれ、画像は "output.png" にダンプされる。</p>
<p>以下のオプションが利用できる。</p>
<ul>
<li>
<p class="startli">-s SIZE</p>
<p>SIZE はフォントの大きさをポイント単位で示したものである。デフォル トの大きさは 12 ポイント。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-d DPI</p>
<p>DPI は解像度を１インチあたりのドット単位で示したものである。デフォ ルトの解像度は 300 dpi。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-p PAPER</p>
<p>PAPER はぺーパサイズ : a4, a4r, a5, a5r, b5, b5r, letter, WxH また は W。 WxH の場合、 W と H は幅と高さをミリメータ単位で示したもの。 W の場合、 W は幅をミリメータ単位で示したもの。このオプションが指定 されている場合は、 PAPER が画像サイズを制限す る。FILE が 1 ページ に納まらないほど大きい場合は、"BASE.01.png", "BASE.02.png" 等の名前 のついた複数のファイルが作られる。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-m MARGIN</p>
<p>MARGIN は水平、垂直マージンをミリメータ単位で示したものである。デ フォルトのマージンは 20 mm。PAPER が指定されていなければ無視される。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-c POS</p>
<p>POS はカーソルの文字位置。デフォルトでは、カーソルは描かれない。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-x</p>
<p>FILE は m17n ライブラリのシリアライズ機能によって作られた XML ファ イルであり、画像を生成する前にデシリアライズされる。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-w</p>
<p>語の境界で改行する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-f FILTER</p>
<p>FILTER はシェルコマンド行を含む文字列である。このオプションが指定 されていれば、PNG 画像はファイルに書かれるのではなく、FILTER に 標準入力として渡される。 FILTER が "%s" を含んでいれば、それは FILE のベースネームに置き換えられる。このプログラムのデフォルトの振舞い と、FILTER に "cat &gt; %s.png" を指定した場合の振舞は同一である。</p>
<p>もし FILTER が単に "-" であれば、 PNG 画像は stdout に出力される。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-a</p>
<p>アンチエイリアス処理を行う。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">--family FAMILY</p>
<p>ファミリィ名が FAMILY のフォントを優先的に使う。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">--language LANG</p>
<p>言語 LANG 用に指定されたフォントを優先的に使う。LANG は ISO 630 の ２文字コード（例：英語は "en" ）でなければならない。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-fg FOREGROUND</p>
<p>テキストの色を指定する。HTML 4.0 の色の名前および "#RRGGBB" 記法を サポート。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-bg BACKGROUND</p>
<p>背景の色を指定する。サポートされている色の名前は FOREGROUND 同じ。 ただし、もし "transparent" が指定されたら背景を透明にする。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-r</p>
<p>Specify that the orientation of the text is right-to-left.</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-q</p>
<p>一切のメッセージを表示しない。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">--version</p>
<p>バージョン番号を表示する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-h, --help</p>
<p>このメッセージを表示する。</p>
<p class="endli"></p>
</li>
</ul>
<h2><a class="anchor" id="m17n-edit">
m17n-edit -- 多言語テキストの編集</a></h2>
<h3><a class="anchor" id="m17n-edit-synopsis">
SYNOPSIS</a></h3>
<p>m17n-edit [ XT-OPTION ...] [ OPTION ... ] FILE</p>
<h3><a class="anchor" id="m17n-edit-description">
DESCRIPTION</a></h3>
<p>FILE をウィンドウに表示し、ユーザが編集できるようにする。</p>
<p>XT-OPTIONs は Xt の標準の引数である。 (e.g. -fn, -fg).</p>
<p>以下のオプションが利用できる。</p>
<ul>
<li>
<p class="startli">--version</p>
<p>バージョン番号を表示する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">-h, --help</p>
<p>このメッセージを表示する。</p>
<p class="endli"></p>
</li>
</ul>
<p>このプログラムは m17n GUI API の使い方を示すものである。m17n-edit は直接 GUI API を使っているが、この API は主にツールキットライブラ リやXOM (X Output Method) の実装用であり、アプリケーションプログラ ムからの直接の利用を意図していない。</p>
<h2><a class="anchor" id="mimx-anthy">
mimx-anthy -- 入力メソッド &lt;ja, anthy&gt; 用外部モジュール.</a></h2>
<h3><a class="anchor" id="mimx-anthy-description">
DESCRIPTION</a></h3>
<p>共有ライブラリ mimx-anthy.so は入力メソッド&lt;ja, anthy&gt; に用いられ る外部モジュールであり、以下の関数を export している。</p>
<ul>
<li>
<p class="startli">init</p>
<p>モジュールの初期化。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">fini</p>
<p>モジュールの終了。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">convert</p>
<p>現在の preedit テキスト (ひらがな列) をかな漢字テキストに変換する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">change</p>
<p>現在のセグメントの候補の変遷を記録する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">resize</p>
<p>現在のセグメントの長さを変更する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">commit</p>
<p>全セグメントの最新の候補をコミットする。</p>
<p class="endli"></p>
</li>
</ul>
<h3><a class="anchor" id="mimx-anthy-seealso">
参照</a></h3>
<p><a class="el" href="m17nDBFormat.html#mdbIM">インプットメソッド</a></p>
<h2><a class="anchor" id="mimx-ispell">
mimx-ispell -- 入力メソッド &lt;en, ispell&gt; 用外部モジュール</a></h2>
<h3><a class="anchor" id="mimx-ispell-description">
DESCRIPTION</a></h3>
<p>共有ライブラリ mimx-ispell.so は入力メソッド &lt;en, ispell&gt; に用いら れる外部モジュールであり、以下の関数を export している。</p>
<ul>
<li>
<p class="startli">init</p>
<p>ライブラリの初期化。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">fini</p>
<p>ライブラリの終了。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">ispell_word</p>
<p>現在の preedit テキスト (英文) の綴を調べ、間違っていれば候補のリ ストを返す。</p>
<p class="endli"></p>
</li>
</ul>
<p>このプログラムはm17n 入力メソッド用外部モジュールの書き方を示すた めのものであり、実際の利用を意図したものではない。</p>
<h3><a class="anchor" id="mimx-ispell-seealso">
参照</a></h3>
<p><a class="el" href="m17nDBFormat.html#mdbIM">インプットメソッド</a> </p>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
